<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>pkgpurl's default linters — default_linters • pkgpurl</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="pkgpurl's default linters — default_linters"><meta name="description" content="Opinionated set of linters. Built from lintr::linters_with_defaults() with lots of customizations. See the relevant source code for details."><meta property="og:description" content="Opinionated set of linters. Built from lintr::linters_with_defaults() with lots of customizations. See the relevant source code for details."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">pkgpurl</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9015</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/rpkg.dev/pkgpurl/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>pkgpurl's default linters</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/rpkg.dev/pkgpurl/blob/HEAD/R/pkgpurl.gen.R" class="external-link"><code>R/pkgpurl.gen.R</code></a></small>
      <div class="d-none name"><code>default_linters.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Opinionated set of <a href="https://lintr.r-lib.org/reference/linters.html" class="external-link">linters</a>. Built from <code><a href="https://lintr.r-lib.org/reference/linters_with_defaults.html" class="external-link">lintr::linters_with_defaults()</a></code> with lots of customizations. See the <a href="https://gitlab.com/rpkg.dev/pkgpurl/-/blob/master/Rmd/sysdata.nopurl.Rmd#default_linters" class="external-link">relevant source code</a> for details.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="va">default_linters</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="format">Format<a class="anchor" aria-label="anchor" href="#format"></a></h2>
    <p>A named list of <a href="https://lintr.r-lib.org/reference/linters.html" class="external-link">lintr::linters</a>.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p><code><a href="default_exclusions.html">default_exclusions()</a></code> and <code><a href="lint_rmd.html">lint_rmd()</a></code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="fu"><a href="https://rdrr.io/r/base/names.html" class="external-link">names</a></span><span class="op">(</span><span class="fu">pkgpurl</span><span class="fu">::</span><span class="va">default_linters</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>  [1] "absolute_path_linter"             "any_duplicated_linter"            "any_is_na_linter"                 "assignment_linter"               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span>  [5] "boolean_arithmetic_linter"        "brace_linter"                     "class_equals_linter"              "commas_linter"                   </span>
<span class="r-out co"><span class="r-pr">#&gt;</span>  [9] "commented_code_linter"            "comparison_negation_linter"       "condition_call_linter"            "condition_message_linter"        </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [13] "conjunct_test_linter"             "consecutive_assertion_linter"     "consecutive_mutate_linter"        "cyclocomp_linter"                </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [17] "empty_assignment_linter"          "equals_na_linter"                 "expect_comparison_linter"         "expect_identical_linter"         </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [21] "expect_length_linter"             "expect_named_linter"              "expect_not_linter"                "expect_null_linter"              </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [25] "expect_s3_class_linter"           "expect_s4_class_linter"           "expect_true_false_linter"         "expect_type_linter"              </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [29] "fixed_regex_linter"               "for_loop_index_linter"            "function_argument_linter"         "function_left_parentheses_linter"</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [33] "function_return_linter"           "if_not_else_linter"               "if_switch_linter"                 "ifelse_censor_linter"            </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [37] "implicit_assignment_linter"       "implicit_integer_linter"          "infix_spaces_linter"              "inner_combine_linter"            </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [41] "is_numeric_linter"                "keyword_quote_linter"             "length_levels_linter"             "length_test_linter"              </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [45] "lengths_linter"                   "line_length_linter"               "list_comparison_linter"           "literal_coercion_linter"         </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [49] "missing_argument_linter"          "nested_ifelse_linter"             "nrow_subset_linter"               "numeric_leading_zero_linter"     </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [53] "nzchar_linter"                    "object_length_linter"             "object_name_linter"               "object_overwrite_linter"         </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [57] "one_call_pipe_linter"             "outer_negation_linter"            "paren_body_linter"                "paste_linter"                    </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [61] "pipe_call_linter"                 "pipe_continuation_linter"         "pipe_return_linter"               "print_linter"                    </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [65] "redundant_equals_linter"          "redundant_ifelse_linter"          "regex_subset_linter"              "rep_len_linter"                  </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [69] "repeat_linter"                    "return_linter"                    "routine_registration_linter"      "sample_int_linter"               </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [73] "scalar_in_linter"                 "semicolon_linter"                 "seq_linter"                       "sort_linter"                     </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [77] "spaces_inside_linter"             "spaces_left_parentheses_linter"   "sprintf_linter"                   "stopifnot_all_linter"            </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [81] "string_boundary_linter"           "system_file_linter"               "T_and_F_symbol_linter"            "terminal_close_linter"           </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [85] "todo_comment_linter"              "trailing_blank_lines_linter"      "undesirable_function_linter"      "undesirable_operator_linter"     </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [89] "unnecessary_concatenation_linter" "unnecessary_lambda_linter"        "unnecessary_placeholder_linter"   "unreachable_code_linter"         </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [93] "vector_logic_linter"              "which_grepl_linter"               "whitespace_linter"                "yoda_test_linter"                </span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.</p>
</div>

    </footer></div>





  </body></html>

